Bug 437856 - Command line options to rhn-manage-channel do not match csv fields
Command line options to rhn-manage-channel do not match csv fields
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
RHN Stable
All Linux
low Severity low
: ---
: ---
Assigned To: Bryan Kearney
Amy Owens
US=32144
:
Depends On:
Blocks: 450300
  Show dependency treegraph
 
Reported: 2008-03-17 15:04 EDT by James Bowes
Modified: 2013-01-10 04:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-25 09:03:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Bowes 2008-03-17 15:04:13 EDT
rhn-manage-channel-internal gives the illusion that you can use command line
flags to create a channel, and not provide any data in a csv. This is not true;
the command line flags are out of date.

Either remove them, or bring them up to date.
Comment 1 Amy Owens 2008-06-30 13:24:31 EDT
removed the following from the help- on dev:
--name=NAME           Channel name
  --summary=SUMMARY     Channel summary
  --description=DESCRIPTION
                        Channel description
  --arch=ARCH           Channel architecture
  --parent=PARENT       Channel parent
  --family=FAMILY       Channel family
  --gpg-key-url=GPG_KEY_URL
                        GPG key URL
  --gpg-key-id=GPG_KEY_ID
                        GPG key ID
  --gpg-key-fp=GPG_KEY_FP
  GPG key fingerprint
  --dist-release=DIST_RELEASE
                        Distribution release (version of package providing
                        redhat-release)
  --end-of-life=END_OF_LIFE
                        End of life date for this channel (empty string '' for
                        undef)
Comment 2 Stephen Herr 2008-09-03 14:06:43 EDT
verified in qa

this is not really a server-side issue, it's all client side. the client tools still work when the box is pointed at qa.

Note You need to log in before you can comment on or make changes to this bug.